libcoap 4.3.2rc2

Data Fields
coap_uri_t Struct Reference

Representation of parsed URI. More...

`#include <coap_uri.h>`

## Data Fields
coap_str_const_t | host
| The host part of the URI. More...
uint16_t | port
| The port in host byte order. More...
coap_str_const_t | path
| The complete path if present or {0, NULL}. More...
coap_str_const_t | query
| The complete query if present or {0, NULL}. More...
enum coap_uri_scheme_t | scheme
| The parsed scheme specifier. More...

## Detailed Description

Representation of parsed URI.

Components may be filled from a string with coap_split_uri() or coap_split_proxy_uri() and can be used as input for option-creation functions. Alternatively, coap_uri_into_options() can be used to convert coap_uri_t into CoAP options.

Definition at line 65 of file coap_uri.h.

## Field Documentation

## ◆ host

coap_str_const_t coap_uri_t::host

The host part of the URI.

Definition at line 66 of file coap_uri.h.

## ◆ path

coap_str_const_t coap_uri_t::path

The complete path if present or {0, NULL}.

Needs to be split using coap_split_path() or coap_uri_into_options().

Definition at line 68 of file coap_uri.h.

## ◆ port

uint16_t coap_uri_t::port

The port in host byte order.

Definition at line 67 of file coap_uri.h.

## ◆ query

coap_str_const_t coap_uri_t::query

The complete query if present or {0, NULL}.

Needs to be split using coap_split_query() or coap_uri_into_options().

Definition at line 71 of file coap_uri.h.

## ◆ scheme

enum coap_uri_scheme_t coap_uri_t::scheme

The parsed scheme specifier.

Definition at line 75 of file coap_uri.h.

The documentation for this struct was generated from the following file:

- coap_uri.h